Bug 1413263 - Move tmpfiles.d config to %{_tmpfilesdir}, install license files as %license
Summary: Move tmpfiles.d config to %{_tmpfilesdir}, install license files as %license
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: iguanaIR
Version: 26
Hardware: All
OS: All
unspecified
unspecified
Target Milestone: ---
Assignee: Alec Leamas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-14 07:40 UTC by Ville Skyttä
Modified: 2017-04-05 05:23 UTC (History)
1 user (show)

Fixed In Version: iguanaIR-1.1.0-20.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-05 05:23:10 UTC
Type: ---


Attachments (Terms of Use)
Move tmpfiles.d config to %{_tmpfilesdir}, install license files as %license (2.06 KB, patch)
2017-01-14 07:40 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2017-01-14 07:40:19 UTC
https://fedoraproject.org/wiki/Packaging:Tmpfiles.d#Example_spec_file

'git am'able fix attached, let me know if you'd like me to push and build this for devel.

Comment 1 Ville Skyttä 2017-01-14 07:40:23 UTC
Created attachment 1240625 [details]
Move tmpfiles.d config to %{_tmpfilesdir}, install license files as %license

Comment 2 Alec Leamas 2017-01-24 21:33:06 UTC
Hm.Looking at tmpfilesdir we have

%install
cat > $RPM_BUILD_ROOT%{_tmpfilesdir}/%{name}.conf <<EOF
d   /run/%{name}    0755    iguanair   iguanair
EOF

%post

systemd-tmpfiles --create %{_tmpfilesdir}/%{name}.conf

%files

%{_tmpfilesdir}/%{name}.conf

So, here I don't really understand the problem. Could you please expand on this?


Ack for %license, under way.

Comment 3 Alec Leamas 2017-01-25 07:24:43 UTC
Oops, that was code from the git tree, not pushed. Ack also for %tmpfileddir

Comment 4 Fedora Update System 2017-01-25 17:30:29 UTC
iguanaIR-1.1.0-19.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6c5c51e913

Comment 5 Fedora Update System 2017-01-25 17:30:41 UTC
iguanaIR-1.1.0-19.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-db9c1f3d91

Comment 6 Fedora Update System 2017-01-27 16:28:56 UTC
iguanaIR-1.1.0-20.fc24 iguanaIR-1.1.0-20.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7166b398c9

Comment 7 Fedora Update System 2017-01-27 16:53:16 UTC
iguanaIR-1.1.0-20.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2e7ffbd796

Comment 8 Fedora Update System 2017-01-27 16:56:20 UTC
iguanaIR-1.1.0-20.fc24 iguanaIR-1.1.0-20.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7166b398c9

Comment 9 Fedora Update System 2017-01-27 19:54:29 UTC
iguanaIR-1.1.0-19.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-db9c1f3d91

Comment 10 Fedora Update System 2017-01-28 04:54:08 UTC
iguanaIR-1.1.0-19.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6c5c51e913

Comment 11 Fedora Update System 2017-01-29 02:21:42 UTC
iguanaIR-1.1.0-20.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7166b398c9

Comment 12 Fedora Update System 2017-01-29 02:22:25 UTC
iguanaIR-1.1.0-20.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2e7ffbd796

Comment 13 Fedora End Of Life 2017-02-28 10:59:09 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 14 Fedora Update System 2017-04-05 05:23:10 UTC
iguanaIR-1.1.0-20.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.